Bug 466659 - crashes immediately with drive/host endian mismatch
crashes immediately with drive/host endian mismatch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
11
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
: 501603 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 07:03 EDT by Jonathan Matthew
Modified: 2010-06-28 06:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from xiph svn (463 bytes, patch)
2008-10-12 07:03 EDT, Jonathan Matthew
no flags Details | Diff

  None (edit)
Description Jonathan Matthew 2008-10-12 07:03:24 EDT
Created attachment 320138 [details]
patch from xiph svn

Description of problem:

cdparanoia crashes immediately on powerpc (or other big endian arch) machines with little-endian CD drives.  I experienced this on an ibook g4.

This has been fixed in cdparanoia svn r15356.

Version-Release number of selected component (if applicable):


How reproducible:
crashes every time

Steps to Reproduce:
1. insert CD
2. run 'cdparanoia 1'
Comment 1 John Poelstra 2008-10-22 22:08:36 EDT
which version did you see this problem in?
Comment 2 Jonathan Matthew 2008-10-23 05:31:49 EDT
I first noticed this in cdparanoia-10.2-2.fc10.  I'm not sure when it was actually introduced, though.
Comment 3 Bug Zapper 2008-11-25 22:48:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Joseph Sacco 2009-02-03 16:33:28 EST
I tested out the patch by applying it to the existing source RPM: rhythmbox-debuginfo-0.11.6-17.r6096.fc10.ppc.rpm

As advertised, the problem goes away.

-Joseph
Comment 5 Adam Jackson 2009-02-10 14:28:42 EST
Fixed in 10.2-3
Comment 6 David Woodhouse 2009-05-05 10:34:47 EDT
This doesn't seem to fix it for me, and isn't in F-10 anyway AFAICT. It still happily dereferences the 'buffer' pointer. This version of the patch makes it not crash immediately, although I haven't verified the output is sane yet:

@@ -115,10 +115,10 @@ long cdda_read_timed(cdrom_drive *d, voi
 
       if(sectors>0){
 	/* byteswap? */
-	if(d->bigendianp==-1) /* not determined yet */
+	if(buffer && d->bigendianp==-1) /* not determined yet */
 	  d->bigendianp=data_bigendianp(d);
 	
-	if(d->bigendianp!=bigendianp()){
+	if(buffer && d->bigendianp!=bigendianp()){
 	  int i;
 	  u_int16_t *p=(u_int16_t *)buffer;
 	  long els=sectors*CD_FRAMESIZE_RAW/2;
Comment 7 Geoff Levand 2009-05-21 16:37:34 EDT
*** Bug 501603 has been marked as a duplicate of this bug. ***
Comment 8 Geoff Levand 2009-05-21 16:42:38 EDT
This bug is still there in F11.

Could someone try David's fix?

The existing cdparanoia-10.2-endian.patch isn't right, it only fixes one of the if statments.

http://cvs.fedora.redhat.com/viewvc/devel/cdparanoia/cdparanoia-10.2-endian.patch?revision=1.1&view=markup

-Geoff
Comment 9 Geoff Levand 2009-05-21 19:44:05 EDT
I tested David's patch from comment #6 on PS3 game console and it fixes the seg fault.  Playback of the resulting .wav files seems OK.

Please update cdparanoia-10.2-endian.patch.

-Geoff
Comment 10 Bug Zapper 2009-06-09 05:46:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-04-27 08:16:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-06-28 06:46:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.